Loading...
Searching...
No Matches
sparse_file_array.hpp File Reference
`#include <osmium/index/detail/mmap_vector_file.hpp>`
`#include <osmium/index/detail/vector_multimap.hpp>`
Include dependency graph for sparse_file_array.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.
namespace | osmium::index::multimap
| Key-value containers with multiple values for an integer key.

## Typedefs

template<typename TId, typename TValue>
using | osmium::index::multimap::SparseFileArray = VectorBasedSparseMultimap<TId, TValue, osmium::detail::mmap_vector_file>